/* ---- reset ---- */
* {
    margin: 0;
    padding: 0;
    font-size: 13px;
    font-family: sans-serif;
}
/* ---- particles.js container ---- */
#particles-js {
    position: fixed;
    width: 100%;
    height: 100vh;
    background-color: #151112;
    background-image: url("");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: 50% 50%;
}
/* ---- login ---- */
body {
    position: relative;
}

.loginBox {
    width: 100%;
    height: 100%;
    position: absolute;
}
.fromBox {
    width: 425px;/*ancho del cuadro*/
    height: 500px;/*alto del cuadro*/
    position: relative;/*posicion relativa lo que quiere decir */
    margin: 6% auto;
    background: rgba(93, 90, 90, 0.915);
    padding: 25px;/*espacio entre el borde y el contenido*/
    border-radius: 10px;
    overflow: hidden;/*oculta el elemento*/
}
.buttonBox {
    width: 130px;/*ancho del boton*/
    margin: 20px auto;/*margen superior e inferior*/
    position: relative;
    box-shadow:5px rgba(0, 0, 0, 0.2);/*sombra del boton*/
    border-radius: 30px;/*bordes redondeados*/


}
.presionarBtn{
    padding: 10px 30px;/*padding: arriba-abajo derecha-izquierda;*/
    background: transparent;/*fondo transparente*/
    border: 2px;/*borde del boton*/
    outline: none;/*borde del boton*/
    position: relative;
    font-size: 15px;
    color: #fff;/*color de las letras*/
}

#elegir{
    top: 0;/*posicion superior*/
    left: 0;/*posicion izquierda*/
    position: absolute;
    width: 130px;/*ancho del boton*/
    height: 100%;/*alto del boton*/
    background: rgb(0, 0, 0);
    border-radius: 30px;
    transition: 0.8s;
}

.redes {
    margin: 35px auto;
    text-align: center;
}

.redes img{
    width: 39px;
    margin: 0 12px;
    box-shadow: 0 0 20px 9px rgba(0, 0, 0, 0.2);
    cursor: pointer;
    border-radius: 50%;
}
.inputGrup {
    width: 100%;/*ancho del cuadro de texto*/     
    transition: .8s;
}
#login{
    left: 60px;/*posicion izquierda*/
    width: 80%;/*ancho del cuadro de texto*/
    position: absolute;
}
#registrar{
    left: 450px;
    width: 70%;
    position: absolute;
}
.userBox{
    width: 100%;
    position: relative;
}
.loginBox .userBox input {
    width: 100%;/*ancho del cuadro de texto*/   
    padding: 10px 10px;/*padding: arriba-abajo derecha-izquierda;*/
    font-size: 16px;
    color: #0b0909; /*de las letras que se van a escribir*/
    margin-bottom: 30px;/*margen inferior*/
    border: none;/*borra el borde de los input*/
    border-bottom: 1px solid #fff; /* linea bajo las letras que se van a escribir*/
    outline: none;
    background: transparent;/*fondo transparente*/
}

.loginBox .userBox label {
    position: absolute;
    top: 0;
    left: 0;
    padding: 10px 0;
    font-size: 16px;
    color: #fff;
    pointer-events: none;
    transition: .5s;
}

.loginBox .userBox input:focus~label,
.loginBox .userBox input:valid~label {
    top: -20px;
    left: 0;
    color: #0b0909;/*letras que estan escritar donde se van a escribir*/
    font-size: 12px;
}

.loginBox form a {
    position: relative;
    display: inline-block;
    padding: 10px 20px;/* padding: arriba-abajo derecha-izquierda;*/
    color: #f7f7f7;
    font-size: 16px;
    text-decoration: none;
    text-transform: uppercase;
    overflow: hidden;
    transition: .5s;
    cursor: pointer;
    margin-top: 30px;/*margen superior*/
    letter-spacing: 4px;/*espacio entre letras*/
}

.loginBox a:hover {
    background: #e0d5d5;
    color: #fff;
    border-radius: 5px;
    box-shadow: 0 0 5px #272222,
        0 0 25px #0b0909,
        0 0 50px #2e2d2d,
        0 0 100px #a19797;
}

.loginBox a span {
    position: absolute;
    display: block;
}

.loginBox a span:nth-child(1) {
    top: 0;
    left: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(90deg, transparent, #0b0909);
    animation: btn-anim1 1s linear infinite;
}

@keyframes btn-anim1 {
    0% {
        left: -100%;
    }

    50%,
    100% {
        left: 100%;
    }
}

.loginBox a span:nth-child(2) {
    top: -100%;
    right: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(180deg, transparent, #0b0909);
    animation: btn-anim2 1s linear infinite;
    animation-delay: .25s
}

@keyframes btn-anim2 {
    0% {
        top: -100%;
    }

    50%,
    100% {
        top: 100%;
    }
}

.loginBox a span:nth-child(3) {
    bottom: 0;
    right: -100%;
    width: 100%;
    height: 2px;
    background: linear-gradient(270deg, transparent, #0b0909);
    /*animation: btn3 1s linear infinite;*/
    animation: btn-anim3 1s linear infinite;
    animation-delay: .5s
}

@keyframes btn-anim3 {
    0% {
        right: -100%;
    }

    50%,
    100% {
        right: 100%;
    }
}

.loginBox a span:nth-child(4) {
    bottom: -100%;
    left: 0;
    width: 2px;
    height: 100%;
    background: linear-gradient(360deg, transparent, #0b0909);
    animation: btn-anim4 1s linear infinite;
    animation-delay: .75s
}

@keyframes btn-anim4 {
    0% {
        bottom: -100%;
    }
    
    50%, 100% {
        bottom: 100%;
    }
}